My Oracle Support Banner

Oracle Linux: Yum Downgrade Fails with "Error: Package: package-version.x86_64 (@repository) Requires: package = version" (Doc ID 2639828.1)

Last updated on JULY 02, 2020

Applies to:

Linux OS - Version Oracle Linux 7.7 with Unbreakable Enterprise Kernel [4.14.35] and later
Linux x86-64

Symptoms

When running #yum downgrade glibc glibc-common libstdc++ and yum install gcc gcc-c++ compat-libcap1 compat-libstdc++-33 libstdc++-devel glibc-devel,

Errors like below occurred:

Skip-broken could not solve problems
Error: Package: glibc-headers-2.17-292.0.1.el7.x86_64 (@ol7_latest)
Requires: glibc = 2.17-292.0.1.el7
Removing: glibc-2.17-292.0.1.el7.i686 (@ol7_latest)
glibc = 2.17-292.0.1.el7
Downgraded By: glibc-2.17-55.el7.i686 (ol7_u0_base)
glibc = 2.17-55.el7
Error: Package: libstdc++-devel-4.8.5-39.0.1.el7.x86_64 (@ol7_latest)
Requires: libstdc++(x86-64) = 4.8.5-39.0.1.el7
Removing: libstdc++-4.8.5-39.0.1.el7.x86_64 (@ol7_latest)
libstdc++(x86-64) = 4.8.5-39.0.1.el7
Downgraded By: libstdc++-4.8.2-16.el7.x86_64 (ol7_u0_base)
libstdc++(x86-64) = 4.8.2-16.el7
Error: Package: gcc-c++-4.8.5-39.0.1.el7.x86_64 (@ol7_latest)
Requires: libstdc++ = 4.8.5-39.0.1.el7
Removing: libstdc++-4.8.5-39.0.1.el7.i686 (@ol7_latest)
libstdc++ = 4.8.2-16.el7
libstdc++ = 4.8.5-39.0.1.el7
Downgraded By: libstdc++-4.8.2-16.el7.i686 (ol7_u0_base)
libstdc++ = 4.8.2-16.el7
Error: Package: glibc-devel-2.17-292.0.1.el7.x86_64 (@ol7_latest)
Requires: glibc = 2.17-292.0.1.el7
Removing: glibc-2.17-292.0.1.el7.i686 (@ol7_latest)
glibc = 2.17-292.0.1.el7
Downgraded By: glibc-2.17-55.el7.i686 (ol7_u0_base)
glibc = 2.17-55.el7
You could try running: rpm -Va --nofiles --nodigest

Changes

Disabled the repository for Oracle Linux 7 Latest (ol7_latest) and enabled Oracle Linux 7 GA installation media copy (ol7_u0_base) to install an older version of packages from

the said repository (ol7_u0_base).

 

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Changes
Cause
Solution
References


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.